<template>
  <el-bus-crud v-bind="tableConfig"/>
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/v2/config-param-group/group/list',
        newUrl: 'flower/v2/config-param-group/new',
        editUrl: 'flower/v2/config-param-group/edit',
        deleteUrl: 'flower/v2/config-param-group/delete',
        columns: [
          {label: '序号', type: 'index'},
          {label: '变量分组', prop: 'paramGroup'},
          {label: '变量分组名', prop: 'paramGroupName'},
          {label: '变量排序号', prop: 'paramOrder'},
        ],

        searchForm: [
          {
            type: 'row',
            items: [
              {label: '变量分组名：', id: 'paramGroupName', type: 'input'}],
          },
        ],
        form: [
          {
            label: '变量分组：',
            id: 'paramGroup',
            type: 'input',
            rules: {
              required: true,
              pattern: /^[a-z]+$/,
              message: '请输入变量分组，只允许小写英文字母'
            },
          },
          {
            label: '变量分组名：',
            id: 'paramGroupName',
            type: 'input',
            rules: {required: true, message: '请输入变量分组名'},
          },
          {
            label: '变量排序号：',
            id: 'paramOrder',
            type: 'input',
            rules: {
              required: true,
              pattern: /^\d+$/,
              message: '请输入变量排序号，只允许非负整数'},
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '配置系统参数组',
    }
  },
}
</script>
